Name: RaccoonLock
Version: 4.2.2
Release: 1
Summary: An open-source, simple, powerful and customizable password manager.
License: BSD-3-Clause
URL: https://github.com/Autumn64/RaccoonLock
Source0: %{name}-%{version}.tar.gz

BuildArch: x86_64

Requires: openssl-devel

%description
RaccoonLock is a multi-platform password manager coded in Electron, Python and C, made with the purpose of providing a lightweight, straightforward and secure password manager for PC users who want to store their passwords in a safe way, but who don't care about having them everywhere.

%prep
%setup -q

%install
mkdir -p %{buildroot}/opt/raccoonlock
cp -r * %{buildroot}/opt/raccoonlock/
mkdir -p %{buildroot}/usr/share/applications
cp raccoonlock.ico %{buildroot}/usr/share/applications/
cp RaccoonLock.desktop %{buildroot}/usr/share/applications/
cp RaccoonTransfer.desktop %{buildroot}/usr/share/applications/

%post
ln -s /opt/raccoonlock/raccoonlock /usr/bin/raccoonlock
ln -s /opt/raccoonlock/raccoontransfer /usr/bin/raccoontransfer
echo -e "\e[32m***** If you just upgraded from RaccoonLock v3, you should run the command 'python3 /usr/share/raccoonlock/raccoon_v3tov4.py' as a normal user (without sudo). You might need to install cryptography library so it works. *****\e[0m"

%preun
if [ $1 -eq 0 ]; then
  rm -f /usr/bin/raccoonlock
  rm -f /usr/bin/raccoontransfer
fi

%files
/opt/raccoonlock/*
/usr/share/applications/raccoonlock.ico
/usr/share/applications/RaccoonLock.desktop
/usr/share/applications/RaccoonTransfer.desktop

%clean
rm -rf %{buildroot}

%changelog
* Wed Sep 6 2023 Monica Nayely Flores Gomez (Autumn64) <eunbyeol64@naver.com> - 4.2.2
- Fixed minor bugs.
